Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\Validator\EmailAddressValidator Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\Validator\EmailAddressValidator:

## Public Member Functions
| validateConstraints ($constraints)
| @abstract More...
| validate (BaseValue $value)
| Perform validation on $value. More...
Public Member Functions inherited from eZ\Publish\Core\FieldType\Validator
| getConstraintsSchema ()
| Returns a schema for supported validator configurations. More...
| validate (Value $value)
| Perform validation on $value. More...
| getMessage ()
| Returns array of messages on performed validations. More...
| initializeWithConstraints (array $constraints)
| Initialized an instance of Validator, with earlier configured constraints. More...
| __get ($name)
| Magic getter. More...
| __set ($name, $value)
| Magic setter. More...

## Protected Attributes
| $constraints
| $constraintsSchema
Protected Attributes inherited from eZ\Publish\Core\FieldType\Validator
| $errors = []
| $constraints = []
| $constraintsSchema = []

## Detailed Description

Definition at line 19 of file EmailAddressValidator.php.

## Member Function Documentation

## ◆ validate()

eZ\Publish\Core\FieldType\Validator\EmailAddressValidator::validate | ( | BaseValue | $value | ) |

Perform validation on $value.

Will return true when all constraints are matched. If one or more constraints fail, the method will return false.

When a check against a constraint has failed, an entry will be added to the $errors array.

@abstract

Parameters

  \eZ\Publish\Core\FieldType\Value | $value |

Returns
  bool

Definition at line 87 of file EmailAddressValidator.php.

## ◆ validateConstraints()

eZ\Publish\Core\FieldType\Validator\EmailAddressValidator::validateConstraints | ( |  | $constraints | ) |

@abstract

Parameters

  mixed | $constraints |

Returns
  mixed

Reimplemented from eZ\Publish\Core\FieldType\Validator.

Definition at line 39 of file EmailAddressValidator.php.

References eZ\Publish\Core\FieldType\Validator\EmailAddressValidator\$constraints.

## Member Data Documentation

## ◆ $constraints

eZ\Publish\Core\FieldType\Validator\EmailAddressValidator::$constraints
| protected

Initial value:
= [
'Extent' => false,
]

Definition at line 21 of file EmailAddressValidator.php.

Referenced by eZ\Publish\Core\FieldType\Validator\EmailAddressValidator\validateConstraints().

## ◆ $constraintsSchema

eZ\Publish\Core\FieldType\Validator\EmailAddressValidator::$constraintsSchema
| protected

Initial value:
= [
'Extent' => [
'type' => 'string',
'default' => 'regex',
],
]

Definition at line 25 of file EmailAddressValidator.php.

The documentation for this class was generated from the following file:

- EmailAddressValidator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.